Bug 913960 - eclipse-phpeclipse: FTBFS in rawhide
eclipse-phpeclipse: FTBFS in rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-phpeclipse (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
: 992175 (view as bug list)
Depends On:
Blocks: F19FTBFS F20FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:18 EST by Dennis Gilmore
Modified: 2013-08-31 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 12:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 04:18:58 EST
Your package eclipse-phpeclipse failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4960171

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/171/4960171/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/171/4960171/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/171/4960171/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Christian Stadelmann 2013-03-17 19:03:48 EDT
As proposed https://bugzilla.redhat.com/show_bug.cgi?id=784054#c1 I don't think Fedora should ship an outdated, buggy release from 2009. I recently installed eclipse-phpeclipse and it just had much more bugs than I was willing to report. 
Keep in mind that in 2009 Eclipse 4.x didn't even exist. There is some work on eclipse-phpeclipse according to http://www.phpeclipse.com/, but as long as no new version is released I would prefer shipping Eclipse PDT ( http://projects.eclipse.org/projects/tools.pdt ), the official, recent and stable PHP plugin for eclipse.
I won't mind shipping no PHP plugin for eclipse at all.
Comment 2 Fedora End Of Life 2013-04-03 10:55:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Mat Booth 2013-08-17 11:43:03 EDT
*** Bug 992175 has been marked as a duplicate of this bug. ***
Comment 4 Mat Booth 2013-08-31 12:16:30 EDT
This package has been retired:

http://pkgs.fedoraproject.org/cgit/eclipse-phpeclipse.git/tree/dead.package

Consider using eclipse-pdt when it gets into Fedora. It is currently under review, see bug 1003188

Note You need to log in before you can comment on or make changes to this bug.